

#include "BUILTIN.h"

#include "Array.h"
extern OBJ _ADecl4SigAna_10(OBJ,OBJ,OBJ);extern OBJ __ADecl4SigAna_10;
extern TUP2 _APartNamePrep_1(OBJ,OBJ);extern OBJ __APartNamePrep_1;
extern TUP2 _AAbsyFun3_4(OBJ,OBJ,OBJ);extern OBJ __AAbsyFun3_4;
extern OBJ _AAbsyFun2_3(OBJ,OBJ);extern OBJ __AAbsyFun2_3;

#include "Nat.h"

#include "Char.h"
extern OBJ __AName_18;

#include "Bitset.h"
extern OBJ _ADeclLookup_1(OBJ,OBJ);OBJ __ADeclLookup_1; /* declsStaticLookup */

extern OBJ _ADeclLookup_1(OBJ x1,OBJ x2) /* declsStaticLookup */
{OBJ r;
 {OBJ x29=FLD1(x1,1);OBJ x30=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x29,1);
   FRPRD(x1,1);}
  {OBJ x38;
   if(ISPRM(x29)){
    HLT("PartName at <unknown> : undefined selection kind\'PartName:partName->kind");
   }else{
    {OBJ x35=FLD1(x29,5);
     if(EXPRD(x29,1)){
      x38=x35;
      FLD1(x29,5)=NIL;DSPRD(x29);
     }else{
      COPY(x35,1);
      x38=x35;
      FRPRD(x29,1);}}}
   if(ISPRM(x38)&&(ISTGPRM(x38,0))){
    r=x2;
   }else{
    if(ISPRD(x38)){
     {OBJ x39=FLD1(x38,1);
      if(EXPRD(x38,1)){
       DSPRDF(x38);
      }else{
       COPY(x39,1);
       FRPRD(x38,1);}
      CPPRD(__AName_18,1);
      CPCLS(__APartNamePrep_1,1);
      {TUP2 x41;OBJ x43;
       x41=_AAbsyFun3_4(__APartNamePrep_1,x2,x39);
       x43=_AAbsyFun2_3(__AName_18,x41.c2);
       r=_ADecl4SigAna_10(x41.c1,x30,x43);}}
    }else{
     HLT("PartName at <unknown> : undefined selection fct\'PartName:kind->fct");}}}}
 return r;}

init_ADeclLookup()
{
 static int visited=0; if(visited) return; visited=1;
 init_AArray();
 init_ADecl4SigAna();
 init_APartNamePrep();
 init_AAbsyFun3();
 init_AGlobSig();
 init_AAbsyFun2();
 init_AObjects();
 init_ACom();
 init_APartName();
 init_AVoid();
 init_APair();
 init_ASetByBST();
 init_AFct();
 init_ABSTree();
 init_ASeq();
 init_ATree();
 init_ARep();
 init_ASeqConv();
 init_AOcPos();
 init_ALexem();
 init_APragma();
 init_ASeqReduce();
 init_AOption();
 init_ANat();
 init_AChar();
 init_ATable();
 init_AUniqueTable();
 init_ADeclEntry();
 init_APartNameEntry();
 init_AImpExpEntry();
 init_AName();
 init_AGlobSigImpl();
 init_AImpl();
 init_AGlobPragma();
 init_AMap();
 init_ASet();
 init_ABitset();
 init_APatterns();
 init_AAttributes();
 init_ADArray();
 init_ANatMap();
 init_AString();
 CLS(2,_ADeclLookup_1,__ADeclLookup_1);}

